SystemOrganization addCategory: #'Mason-Cwp'!

MDProduct subclass: #MDCwpProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDCwpProduct methodsFor: 'paths' stamp: 'cwp 9/17/2009 10:40'!
baseImagePath
	^ self libraryPath 
		/ 'base' 
		/ 'Squeak3.10.2-Trunk-090912' 
		/ 'Squeak3.10.2-trunk.image'! !

!MDCwpProduct methodsFor: 'omnibrowser' stamp: 'cwp 9/19/2009 14:18'!
latestObExternal
	^ self 
		productForUmbrella: 'OB-ExtDeps'
		packageNames: self obExternalPackageNames! !

!MDCwpProduct methodsFor: 'omnibrowser' stamp: 'cwp 9/19/2009 14:15'!
latestObRelease
	^ self 
		productForUmbrella: 'OB-Umbrella'
		packageNames: self obReleasePackageNames! !

!MDCwpProduct methodsFor: 'paths' stamp: 'cwp 9/17/2009 10:42'!
libraryPath
	^ FSDiskFilesystem root / 'Users' / 'colin' / 'Library' / 'Squeak'! !

!MDCwpProduct methodsFor: 'omnibrowser' stamp: 'cwp 9/19/2009 23:28'!
obBogusPackageNames
	^ #('Bogus' 'BogusExt' 'BogusInfo')! !

!MDCwpProduct methodsFor: 'omnibrowser' stamp: 'cwp 9/19/2009 14:17'!
obExternalPackageNames
	^ #(
		'AST'
		'Refactoring-Core'
		'Refactoring-Spelling'
		'VB-Regex'
	)! !

!MDCwpProduct methodsFor: 'omnibrowser' stamp: 'cwp 9/19/2009 14:16'!
obReleasePackageNames
	^ #(
		'OmniBrowser'
		'OB-Morphic'
		'OB-Standard'
		'OB-Refactory'
		'OB-Regex'
		'OB-Shout'
		'OB-SUnitIntegration'
	)! !

!MDCwpProduct methodsFor: 'specifying' stamp: 'cwp 9/19/2009 11:07'!
obRepository
	^ MCHttpRepository 
		location: 'http://source.wiresong.ca/ob/'
		user: ''
		password: ''! !

!MDCwpProduct methodsFor: 'specifying' stamp: 'cwp 9/19/2009 13:40'!
productForUmbrella: umbrellaPackage packageNames: packageNames 
	^ MDUmbrellaProduct new
		repository: self obRepository;
		packageName: umbrellaPackage;
		dependencyPackageNames: packageNames;
		yourself! !

!MDCwpProduct methodsFor: 'paths' stamp: 'cwp 7/14/2009 00:31'!
repositoryPath
	^ self libraryPath / 'package-cache'! !

!MDCwpProduct methodsFor: 'paths' stamp: 'cwp 7/13/2009 15:05'!
scriptsPath
	^ self libraryPath / 'scripts'! !

MDCwpProduct subclass: #MDMc2DevProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDMc2DevProduct methodsFor: 'paths' stamp: 'cwp 7/12/2009 05:08'!
mc2ReleasePath
	^ FSPath root
		/ 'Users'
		/ 'colin'
		/ 'Projects'
		/ 'Monticello2'
		/ 'releases'
		/ 'Monticello-2.0.31'! !

!MDMc2DevProduct methodsFor: 'specifying' stamp: 'cwp 9/21/2009 23:14'!
specifyOn: targets 
	targets directory
		path: 'development';
		with: 
			[ targets image
				name: 'ide';
				baseImage: self baseImagePath;
				with: 
					[targets script path: self scriptsPath / 'remove-mc1.st'.
					targets script path: self scriptsPath / 'base-image-cleanup-3.10.cs'.
					targets specify: self latestObExternal.
					targets specify: self latestObRelease.
					targets script path: self mc2ReleasePath / '1-Monticello2.st']]! !

MDCwpProduct subclass: #MDMc2DistProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDMc2DistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 7/12/2009 05:20'!
devPath
	^ FSPath root
		/ 'Users'
		/ 'colin'
		/ 'Projects'
		/ 'Monticello2'
		! !

!MDMc2DistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 7/13/2009 18:32'!
specifyOn: targets
	targets directory path: self versionString; with:
		[targets file
			path: self devPath / 'mc.mcr';
			jobClass: MDCopyFileJob.
		targets directory path: 'extras'; with: 
			[targets file
				path: self scriptsPath / 'remove-mc1.st';
				jobClass: MDCopyFileJob.
			targets file
				path: self scriptsPath / 'remove-mc2.st';
				jobClass: MDCopyFileJob].
		targets directory path: 'docs'; with:
			[targets files
				directoryPath: self devPath / 'docs';
				pattern: '*.creole';
				jobClass: MDRenderCreoleJob.
			targets file
				path: self devPath / 'docs' / 'docs.css';
				jobClass: MDCopyFileJob.
			targets directory path: 'images'; with:
				[targets files
					directoryPath: self devPath / 'docs' / 'images';
					pattern: '*.png';
					jobClass: MDCopyFileJob]]]! !

!MDMc2DistProduct methodsFor: 'as yet unclassified' stamp: 'cwp 7/13/2009 18:29'!
versionString
	^ 'Monticello-2.0.30'! !

MDCwpProduct subclass: #MDObDistProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDObDistProduct methodsFor: 'accessing' stamp: 'cwp 9/22/2009 08:51'!
devDirectory
	^ FSDiskFilesystem / 'Users' / 'colin' / 'Projects' / 'OmniBrowser'! !

!MDObDistProduct methodsFor: 'specifying' stamp: 'cwp 9/22/2009 11:05'!
specifyDocsOn: targets 
		
	targets file
		reference: self devDirectory / 'build' / 'ReleaseNotes.txt'! !

!MDObDistProduct methodsFor: 'specifying' stamp: 'cwp 9/20/2009 09:22'!
specifyFileoutsOn: targets 
	targets specify: self latestObExternal.
	targets specify: self latestObRelease ! !

!MDObDistProduct methodsFor: 'specifying' stamp: 'cwp 9/22/2009 08:45'!
specifyOn: targets 
	targets zip
		name: self versionString, '.zip';
		with: 
			[self specifyDocsOn: targets.
			self specifyFileoutsOn: targets]! !

!MDObDistProduct methodsFor: 'accessing' stamp: 'cwp 8/27/2009 21:58'!
versionString
	^ 'OmniBrowser-2.0.3'! !

MDCwpProduct subclass: #MDObSuiteProduct
	instanceVariableNames: 'baseImage'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Mason-Cwp'!

!MDObSuiteProduct class methodsFor: 'as yet unclassified' stamp: 'cwp 9/19/2009 21:45'!
inSqueak
	^ self new setBaseImageWith: #baseImagePath! !

!MDObSuiteProduct methodsFor: 'as yet unclassified' stamp: 'cwp 9/19/2009 23:40'!
latestObReleaseAndTests
	^ self 
		productForUmbrella: 'OB-Umbrella'
		packageNames: 
			self obReleasePackageNames, 
			self obTestPackageNames! !

!MDObSuiteProduct methodsFor: 'as yet unclassified' stamp: 'cwp 9/20/2009 00:21'!
obTestPackageNames
	^ #(
		'OB-Fake'
		'OB-Tests-Core'
		'OB-Tests-Morphic'
		'OB-Tests-Standard'
	)! !

!MDObSuiteProduct methodsFor: 'as yet unclassified' stamp: 'cwp 9/19/2009 21:46'!
setBaseImageWith: aSelector
	baseImage := self perform: aSelector! !

!MDObSuiteProduct methodsFor: 'as yet unclassified' stamp: 'cwp 9/20/2009 00:01'!
specifyBogusOn: targets
	#('Bogus-cwp.18.mcz' 'BogusInfo-cwp.17.mcz' 'BogusExt-cwp.4.mcz') do:
		[:ea |
		targets version
			name: ea;
			source: (targets mc1RepositorySource: self obRepository)]! !

!MDObSuiteProduct methodsFor: 'as yet unclassified' stamp: 'cwp 9/19/2009 23:45'!
specifyOn: targets
	targets image
		name: 'suite';
		baseImage: baseImage;
		with: 
			[self specifyBogusOn: targets.
			targets specify: self latestObExternal.
			targets specify: self latestObReleaseAndTests].
	 targets tests 
		name: 'results';
		imagePath: 'suite';
		with: 
			[self obTestPackageNames do:
				[:ea | targets suite package: ea]]! !
